Is that a typo, in the displayed updater...?
"....which could be turned on or ON"....??
FWIW I totally understand your philosophy, and see no reason for people to be upset....they should be pleased, IMHO
Aitch

yeah , I did a bulk remame from OFF to ON for the packages and that slipped though I willl fix it thanks"....which could be turned on or ON"....??
Code: Select all
#!/bin/sh
# Dougal: re-write this to support new rc.network
. /usr/share/locale/en/LC_MESSAGES/net-setup.mo # added to pre load needed values
case $1 in
--wizard) exec /usr/sbin/connectwizard 1>&2 ;;
--connect) exec /etc/rc.d/rc.network connect 1>&2 ;;
--disconnect) exec /etc/rc.d/rc.network stop 1>&2 ;;
*) exec /usr/local/bin/defaultconnect 1>&2 ;;
esac
Code: Select all
--- /root/Downloads/network-wizard-apr-1st/network-wizard-apr-1st/etc/rc.d/rc.network 2009-04-01 21:15:16.000000000 +0800
+++ /etc/rc.d/rc.network 2009-12-28 15:25:34.000000000 +0800
@@ -47,6 +47,9 @@
# Update: Mar. 26th: add 5 second sleep between wireless scans for pcmcia cards
# Update: Mar. 29th: move (pcmcia) 5 second sleep to start if run_iw_scan
# Update: Apr. 1st: change pcmcia sleep detection to module name being *_cs...
+# Update: Apr. 2nd: fix finding profiles in prism case, add checkIsPCMCIA
+#
+# 29nov09: rewrite eth0 mac address by shinobar
######### TODO ###########
#- need to find out about static ip... can we check somehow (arp)? maybe use
@@ -74,12 +77,12 @@ DEBUG_OUTPUT=/dev/stderr
# Dougal: add localization
mo=net-setup.mo
#lng=${LANG%.*}
+# always start by sourceing the English version (to fill in gaps)
+. "/usr/share/locale/en/LC_MESSAGES/$mo"
if [ -f "/usr/share/locale/${LANG%.*}/LC_MESSAGES/$mo" ];then
. "/usr/share/locale/${LANG%.*}/LC_MESSAGES/$mo"
elif [ -f "/usr/share/locale/${LANG%_*}/LC_MESSAGES/$mo" ];then
. "/usr/share/locale/${LANG%_*}/LC_MESSAGES/$mo"
-else
- . "/usr/share/locale/en/LC_MESSAGES/$mo"
fi
# Dougal: want to use functions from wag-profiles (cleanUpInterface...)
@@ -203,12 +206,18 @@ setupStaticIP()
run_iw_scan(){
# add sleeping a bit for pcmcia...
#grep -q "^pcmcia:" /sys/class/net/$INTERFACE/device/modalias && sleep 5
- case $INTMODULE in *_cs) sleep 5 ;; esac
+ #case $INTMODULE in *_cs) sleep 5 ;; esac
+ checkIsPCMCIA
+ [ -n "$IsPCMCIA" ] && sleep 5
# no try runing twice and redirecting to files, then use bigger one...
# clean up any old files
rm /tmp/iwscan*.tmp 2>/dev/null
iwlist "$INTERFACE" scan >/tmp/iwscan1.tmp 2>&1
- usleep 100000
+ if [ -n "$IsPCMCIA" ] ; then
+ sleep 1
+ else
+ usleep 100000
+ fi
iwlist "$INTERFACE" scan >/tmp/iwscan2.tmp 2>&1
ScanListFile=$(du -b /tmp/iwscan*.tmp |sort -n | tail -n1 |cut -f2)
# now try scanning
@@ -221,13 +230,11 @@ run_iw_scan(){
#if [ -z "$SCAN_LIST" ] ; then
if [ -z "$CELL_LIST" ] ; then
# with pcmcia try ejecting and inserting (this is done in wag-profiles.sh)
- #if grep -Fq 'pcmcia:' /sys/class/net/$INTERFACE/device/modalias ; then
- case $INTMODULE in *_cs)
+ if [ -n "$IsPCMCIA" ] ; then
pccardctl eject
pccardctl insert
- ;;
- esac
- #fi
+ sleep 1
+ fi
sleep 1
#SCAN_LIST=$(iwlist "$INTERFACE" scan | grep 'Cell\|ESSID\|Mode\|Frequency\|Encryption\|Channel')
iwlist "$INTERFACE" scan >/tmp/iwscan3.tmp 2>&1
@@ -263,6 +270,29 @@ try_and_connect(){
return $RETURN
}
+# 29nov by shinobar
+rewrite_mac_address () {
+ cat /etc/NETWORKING 2>/dev/null | grep -q -i 'yes' || return
+ INTERFACES=/etc/network-wizard/network/interfaces
+ HWADDRESS=$(LANG=C ifconfig eth0 | head -n 1 | tr -s ' ' | cut -d' ' -f5)
+ [ "$HWADDRESS" != "" ] || return
+ TMPFILE=/tmp/$(basename $0)_conf.tmp
+ rm -f "$TMPFILE"
+ IFCONFIG=$(ifconfig)
+ CONFS=$(find "$INTERFACES" -follow -type f -name '*.conf' -printf "%P ")
+ if [ "$CONFS" != "" ]; then
+ for F in $CONFS; do
+ echo "$IFCONFIG"|grep -q "$(basename $F .conf)" && continue
+ [ ! -f "$TMPFILE" ] && \
+ grep -q '^[[:blank:]]*STATIC_IP=.*yes' "$INTERFACES/$F" && \
+ cp "$INTERFACES/$F" "$TMPFILE"
+ rm -f "$INTERFACES/$F"
+ done
+ fi
+ [ -f "$TMPFILE" ] && mv "$TMPFILE" "$INTERFACES/$HWADDRESS.conf" || \
+ echo "IS_WIRELESS=''" > "$INTERFACES/$HWADDRESS.conf"
+}
+
# Dougal: when running after boot, we don't need this
if [ "$ACTION" = "restart" ] ; then # connect
pidof X >/dev/null && HAVEX="yes"
@@ -270,7 +300,7 @@ if [ "$ACTION" = "restart" ] ; then # co
else # below only done at boot
ifconfig lo 127.0.0.1
route add -net 127.0.0.0 netmask 255.0.0.0 lo
-
+ rewrite_mac_address # 29nov9 rewitte eth0 mac addres by shinobar
# Dougal: add reloading of bcm43xx
if grep -Fq bcm43xx /proc/modules ; then
rmmod bcm43xx
@@ -317,11 +347,11 @@ else # below only done at boot
# "close" the line started before the loop
echo
# add an extra wait for pcmcia NICs to initialize
- case "$(cat /sys/class/net/*/device/modalias)" in *pcmcia:*)
- echo "pcmcia NIC detected, sleeping an extra 10 seconds"
- sleep 10
- ;;
- esac
+ #case "$(cat /sys/class/net/*/device/modalias)" in *pcmcia:*)
+ # echo "pcmcia NIC detected, sleeping an extra 10 seconds"
+ # sleep 10
+ # ;;
+ #esac
fi # if [ "$ACTION" = "restart" ] ; then
# It appears that "cleaning up" an interface, while another one is already
@@ -383,7 +413,11 @@ do
# CELL_AP_MAC, CELL_MODE, CELL_ENCRYPTION
# see if access point configured
#### need to see about the ecryption part: gives "true" or "no_value"
- if [ -f "${PROFILES_DIR}/${CELL_AP_MAC}.${CELL_ENCRYPTION}.conf" ] ; then
+ case $CELL_ENCRYPTION in
+ true) CELL_ENCRYPTION=WEP ;;
+ *) CELL_ENCRYPTION=Open ;;
+ esac
+ if [ -f "${PROFILES_DIR}/${CELL_AP_MAC}.${CELL_ENCRYPTION}.conf" ] ; then
# unset static ip variables
unset STATIC_IP IP_ADDRESS NETMASK DNS_SERVER1 DNS_SERVER2 GATEWAY
# source it
@@ -405,15 +439,15 @@ do
else
failure_message
fi
- elif [ "$CELL_ENCRYPTION" != "true" ] ; then # add to list of open networks
+ elif [ "$CELL_ENCRYPTION" = "Open" ] ; then # add to list of open networks
OPEN_NETWORKS="$OPEN_NETWORKS $P"
else # failure of useWlanctl
failure_message
- fi
- fi
+ fi #if useWlanctl &&
+ fi #if [ -f "${PROFILES_DIR}/${CELL_AP_MAC}.${CELL_ENCRYPTION}.conf" ] ; then
done # for P in
# if we got here, we are not connected yet, look at open networks
- if [ "$OPEN_NETWORKS" ] ; then
+ if [ -n "$OPEN_NETWORKS" ] ; then
WLAN_SECURE="opensystem"
PROFILE_KEY=""
# unset static ip variables
http://www.murga-linux.com/puppy/viewto ... 94&t=66278mbiernat wrote:
The fonts when I browse the web do not look as clear. I use Firefox and my computer is a pretty new Acer with NVIDA GEforce drivers. ...I do not mind the puppy smoothing of fonts (that might help even), rather, I mean, some look a little less persfect than what I am use to.
Code: Select all
#!/bin/sh
# call this fonts-fix and make it executable
# A handy little script to download MS fonts. Stolen from Browserlinux puplet.
# added xdialog boxes big_bass
Xdialog --wrap --title "fonts" \
--yesno "Do you want to install new fonts $@" 0 0
case $? in
0)
echo "Yes chosen.";;
1)
echo "No chosen."
exit;;
255)
echo "Box closed."
exit;;
esac
fonts_url="http://avi.alkalay.net/software/webcore-fonts/webcore-fonts-3.0.tar.gz"
Xdialog --title "downloading" \
--infobox "\nthis takes awhile \n" 0 0 3000
echo Please wait...
echo
wget $fonts_url
tar -xf webcore-fonts-3.0.tar.gz
Xdialog --title "downloaded" \
--infobox "\ndownloaded fonts.\n" 0 0 3000
mkdir /root/.fonts
cp webcore-fonts/fonts/* /root/.fonts
rm -r webcore-fonts
rm webcore-fonts-3.0.tar.gz
echo
echo
echo Finished downloading and installing the fonts...
echo
echo
sleep 2
Xdialog --title "Complete" \
--infobox "\nInstalling fonts has finished.\n" 0 0 5000